org.apache.cassandra.service

## Class BatchlogResponseHandler.BatchlogCleanup

- java.lang.Object
- - org.apache.cassandra.service.BatchlogResponseHandler.BatchlogCleanup

Enclosing class:
  BatchlogResponseHandler<T>

    public static class BatchlogResponseHandler.BatchlogCleanup
    extends java.lang.Object

### Field Summary

Fields
`protected int` `mutationsWaitingFor`

### Constructor Summary

Constructors
Constructor and Description
`BatchlogCleanup(int mutationsWaitingFor, BatchlogResponseHandler.BatchlogCleanupCallback callback)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `ackMutation()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mutationsWaitingFor

    protected volatile int mutationsWaitingFor

### Constructor Detail

#### BatchlogCleanup

    public BatchlogCleanup(int mutationsWaitingFor,
                           BatchlogResponseHandler.BatchlogCleanupCallback callback)

### Method Detail

#### ackMutation

    public void ackMutation()